******************************************************************************************************************************
******************************************************************************************************************************
* 	scoring algorithm for the KIDSCREEN-10 self report version with 1 Missing						*
******************************************************************************************************************************
******************************************************************************************************************************

*	copyright and intelectual property: The European KIDSCREEN group				*

******************************************************************************************************************************
* 	1) uses transformed KIDSCREEN item-scores (transformed e.g. by a priori application of the 	*
* 	syntax "transform_KIDSCREEN-10_rawdata.SPS")						*
* 	2) based on the RASCH-Person-Parameter Estimates 						*
* 	3) T-values were computed wich refer to the entire KIDSCREEN survey (excluded were Ireland,	*
* 	cases older than 18, younger than 8, > 25% missings in KIDSCREEN items, with one 		*
* 	missing in the particular scale)									*
* 	4) for the entire European sample the mean of the T-values is 50, the standard deviation is 10	*
******************************************************************************************************************************






IF (MISSING(KY10IN01)) KC10IN_R = KY10IN02 + KY10IN03 + KY10IN04 + KY10IN05 + KY10IN06 + KY10IN07 + KY10IN08 + KY10IN09 + KY10IN10 .
EXECUTE .
DO IF (MISSING(KY10IN01)) .
RECODE KC10IN_R  
(	9	=	-4.261	)	
(	10	=	-3.133	)	
(	11	=	-2.594	)	
(	12	=	-2.232	)	
(	13	=	-1.957	)	
(	14	=	-1.732	)	
(	15	=	-1.541	)	
(	16	=	-1.374	)	
(	17	=	-1.224	)	
(	18	=	-1.087	)	
(	19	=	-0.96	)	
(	20	=	-0.84	)	
(	21	=	-0.726	)	
(	22	=	-0.617	)	
(	23	=	-0.51	)	
(	24	=	-0.406	)	
(	25	=	-0.302	)	
(	26	=	-0.199	)	
(	27	=	-0.095	)	
(	28	=	0.01	)	
(	29	=	0.117	)	
(	30	=	0.227	)	
(	31	=	0.341	)	
(	32	=	0.461	)	
(	33	=	0.586	)	
(	34	=	0.719	)	
(	35	=	0.861	)	
(	36	=	1.014	)	
(	37	=	1.18	)	
(	38	=	1.364	)	
(	39	=	1.569	)	
(	40	=	1.802	)	
(	41	=	2.074	)	
(	42	=	2.399	)	
(	43	=	2.814	)	
(	44	=	3.406	)	
(	45	=	4.587	)	.
END IF .
EXECUTE .

IF (MISSING(KY10IN02)) KC10IN_R = KY10IN01 + KY10IN03 + KY10IN04 + KY10IN05 + KY10IN06 + KY10IN07 + KY10IN08 + KY10IN09 + KY10IN10 .
EXECUTE .
DO IF (MISSING(KY10IN02)) .
RECODE KC10IN_R  
(	9	=	-4.161	)	
(	10	=	-3.045	)	
(	11	=	-2.519	)	
(	12	=	-2.168	)	
(	13	=	-1.903	)	
(	14	=	-1.687	)	
(	15	=	-1.504	)	
(	16	=	-1.344	)	
(	17	=	-1.2	)	
(	18	=	-1.069	)	
(	19	=	-0.947	)	
(	20	=	-0.831	)	
(	21	=	-0.721	)	
(	22	=	-0.615	)	
(	23	=	-0.512	)	
(	24	=	-0.41	)	
(	25	=	-0.31	)	
(	26	=	-0.209	)	
(	27	=	-0.108	)	
(	28	=	-0.005	)	
(	29	=	0.1	)	
(	30	=	0.207	)	
(	31	=	0.319	)	
(	32	=	0.436	)	
(	33	=	0.559	)	
(	34	=	0.689	)	
(	35	=	0.828	)	
(	36	=	0.978	)	
(	37	=	1.141	)	
(	38	=	1.321	)	
(	39	=	1.523	)	
(	40	=	1.751	)	
(	41	=	2.017	)	
(	42	=	2.338	)	
(	43	=	2.747	)	
(	44	=	3.333	)	
(	45	=	4.508	)	.
END IF .
EXECUTE .

IF (MISSING(KY10IN03)) KC10IN_R = KY10IN01 + KY10IN02 + KY10IN04 + KY10IN05 + KY10IN06 + KY10IN07 + KY10IN08 + KY10IN09 + KY10IN10 .
EXECUTE .
DO IF (MISSING(KY10IN03)) .
RECODE KC10IN_R  
(	9	=	-4.196	)	
(	10	=	-3.069	)	
(	11	=	-2.533	)	
(	12	=	-2.174	)	
(	13	=	-1.902	)	
(	14	=	-1.681	)	
(	15	=	-1.494	)	
(	16	=	-1.33	)	
(	17	=	-1.183	)	
(	18	=	-1.048	)	
(	19	=	-0.924	)	
(	20	=	-0.806	)	
(	21	=	-0.694	)	
(	22	=	-0.586	)	
(	23	=	-0.481	)	
(	24	=	-0.378	)	
(	25	=	-0.276	)	
(	26	=	-0.173	)	
(	27	=	-0.071	)	
(	28	=	0.034	)	
(	29	=	0.14	)	
(	30	=	0.25	)	
(	31	=	0.364	)	
(	32	=	0.482	)	
(	33	=	0.607	)	
(	34	=	0.739	)	
(	35	=	0.879	)	
(	36	=	1.031	)	
(	37	=	1.196	)	
(	38	=	1.378	)	
(	39	=	1.581	)	
(	40	=	1.811	)	
(	41	=	2.079	)	
(	42	=	2.401	)	
(	43	=	2.812	)	
(	44	=	3.4	)	
(	45	=	4.577	)	.
END IF .
EXECUTE .

IF (MISSING(KY10IN04)) KC10IN_R = KY10IN01 + KY10IN02 + KY10IN03 + KY10IN05 + KY10IN06 + KY10IN07 + KY10IN08 + KY10IN09 + KY10IN10 .
EXECUTE .
DO IF (MISSING(KY10IN04)) .
RECODE KC10IN_R  
(	9	=	-4.267	)	
(	10	=	-3.142	)	
(	11	=	-2.607	)	
(	12	=	-2.247	)	
(	13	=	-1.973	)	
(	14	=	-1.75	)	
(	15	=	-1.559	)	
(	16	=	-1.391	)	
(	17	=	-1.24	)	
(	18	=	-1.102	)	
(	19	=	-0.972	)	
(	20	=	-0.849	)	
(	21	=	-0.732	)	
(	22	=	-0.618	)	
(	23	=	-0.506	)	
(	24	=	-0.397	)	
(	25	=	-0.287	)	
(	26	=	-0.178	)	
(	27	=	-0.068	)	
(	28	=	0.044	)	
(	29	=	0.158	)	
(	30	=	0.275	)	
(	31	=	0.396	)	
(	32	=	0.522	)	
(	33	=	0.654	)	
(	34	=	0.793	)	
(	35	=	0.941	)	
(	36	=	1.1	)	
(	37	=	1.271	)	
(	38	=	1.46	)	
(	39	=	1.668	)	
(	40	=	1.904	)	
(	41	=	2.175	)	
(	42	=	2.5	)	
(	43	=	2.911	)	
(	44	=	3.498	)	
(	45	=	4.673	)	.
END IF .
EXECUTE .

IF (MISSING(KY10IN05)) KC10IN_R = KY10IN01 + KY10IN02 + KY10IN03 + KY10IN04 + KY10IN06 + KY10IN07 + KY10IN08 + KY10IN09 + KY10IN10 .
EXECUTE .
DO IF (MISSING(KY10IN05)) .
RECODE KC10IN_R  
(	9	=	-4.25	)	
(	10	=	-3.123	)	
(	11	=	-2.586	)	
(	12	=	-2.224	)	
(	13	=	-1.948	)	
(	14	=	-1.723	)	
(	15	=	-1.531	)	
(	16	=	-1.363	)	
(	17	=	-1.211	)	
(	18	=	-1.072	)	
(	19	=	-0.943	)	
(	20	=	-0.821	)	
(	21	=	-0.705	)	
(	22	=	-0.592	)	
(	23	=	-0.483	)	
(	24	=	-0.376	)	
(	25	=	-0.27	)	
(	26	=	-0.164	)	
(	27	=	-0.057	)	
(	28	=	0.052	)	
(	29	=	0.162	)	
(	30	=	0.276	)	
(	31	=	0.394	)	
(	32	=	0.517	)	
(	33	=	0.647	)	
(	34	=	0.784	)	
(	35	=	0.93	)	
(	36	=	1.087	)	
(	37	=	1.258	)	
(	38	=	1.445	)	
(	39	=	1.654	)	
(	40	=	1.889	)	
(	41	=	2.161	)	
(	42	=	2.487	)	
(	43	=	2.899	)	
(	44	=	3.487	)	
(	45	=	4.663	)	.
END IF .
EXECUTE .

IF (MISSING(KY10IN06)) KC10IN_R = KY10IN01 + KY10IN02 + KY10IN03 + KY10IN04 + KY10IN05 + KY10IN07 + KY10IN08 + KY10IN09 + KY10IN10 .
EXECUTE .
DO IF (MISSING(KY10IN06)) .
RECODE KC10IN_R  
(	9	=	-4.224	)	
(	10	=	-3.098	)	
(	11	=	-2.563	)	
(	12	=	-2.204	)	
(	13	=	-1.931	)	
(	14	=	-1.709	)	
(	15	=	-1.521	)	
(	16	=	-1.356	)	
(	17	=	-1.208	)	
(	18	=	-1.072	)	
(	19	=	-0.946	)	
(	20	=	-0.827	)	
(	21	=	-0.714	)	
(	22	=	-0.604	)	
(	23	=	-0.497	)	
(	24	=	-0.392	)	
(	25	=	-0.287	)	
(	26	=	-0.183	)	
(	27	=	-0.077	)	
(	28	=	0.03	)	
(	29	=	0.14	)	
(	30	=	0.254	)	
(	31	=	0.372	)	
(	32	=	0.496	)	
(	33	=	0.626	)	
(	34	=	0.764	)	
(	35	=	0.912	)	
(	36	=	1.071	)	
(	37	=	1.244	)	
(	38	=	1.434	)	
(	39	=	1.644	)	
(	40	=	1.882	)	
(	41	=	2.156	)	
(	42	=	2.483	)	
(	43	=	2.897	)	
(	44	=	3.486	)	
(	45	=	4.663	)	.
END IF .
EXECUTE .

IF (MISSING(KY10IN07)) KC10IN_R = KY10IN01 + KY10IN02 + KY10IN03 + KY10IN04 + KY10IN05 + KY10IN06 + KY10IN08 + KY10IN09 + KY10IN10 .
EXECUTE .
DO IF (MISSING(KY10IN07)) .
RECODE KC10IN_R  
(	9	=	-4.187	)	
(	10	=	-3.072	)	
(	11	=	-2.546	)	
(	12	=	-2.195	)	
(	13	=	-1.928	)	
(	14	=	-1.712	)	
(	15	=	-1.528	)	
(	16	=	-1.367	)	
(	17	=	-1.223	)	
(	18	=	-1.09	)	
(	19	=	-0.967	)	
(	20	=	-0.851	)	
(	21	=	-0.74	)	
(	22	=	-0.633	)	
(	23	=	-0.529	)	
(	24	=	-0.426	)	
(	25	=	-0.324	)	
(	26	=	-0.222	)	
(	27	=	-0.119	)	
(	28	=	-0.015	)	
(	29	=	0.092	)	
(	30	=	0.203	)	
(	31	=	0.318	)	
(	32	=	0.439	)	
(	33	=	0.567	)	
(	34	=	0.702	)	
(	35	=	0.848	)	
(	36	=	1.006	)	
(	37	=	1.178	)	
(	38	=	1.367	)	
(	39	=	1.579	)	
(	40	=	1.818	)	
(	41	=	2.095	)	
(	42	=	2.426	)	
(	43	=	2.844	)	
(	44	=	3.438	)	
(	45	=	4.619	)	.
END IF .
EXECUTE .

IF (MISSING(KY10IN08)) KC10IN_R = KY10IN01 + KY10IN02 + KY10IN03 + KY10IN04 + KY10IN05 + KY10IN06 + KY10IN07 + KY10IN09 + KY10IN10 .
EXECUTE .
DO IF (MISSING(KY10IN08)) .
RECODE KC10IN_R  
(	9	=	-4.208	)	
(	10	=	-3.089	)	
(	11	=	-2.56	)	
(	12	=	-2.207	)	
(	13	=	-1.939	)	
(	14	=	-1.721	)	
(	15	=	-1.537	)	
(	16	=	-1.375	)	
(	17	=	-1.229	)	
(	18	=	-1.096	)	
(	19	=	-0.972	)	
(	20	=	-0.856	)	
(	21	=	-0.744	)	
(	22	=	-0.637	)	
(	23	=	-0.532	)	
(	24	=	-0.429	)	
(	25	=	-0.326	)	
(	26	=	-0.224	)	
(	27	=	-0.121	)	
(	28	=	-0.016	)	
(	29	=	0.092	)	
(	30	=	0.203	)	
(	31	=	0.319	)	
(	32	=	0.44	)	
(	33	=	0.568	)	
(	34	=	0.705	)	
(	35	=	0.851	)	
(	36	=	1.008	)	
(	37	=	1.18	)	
(	38	=	1.37	)	
(	39	=	1.581	)	
(	40	=	1.819	)	
(	41	=	2.096	)	
(	42	=	2.425	)	
(	43	=	2.843	)	
(	44	=	3.436	)	
(	45	=	4.617	)	.
END IF .
EXECUTE .

IF (MISSING(KY10IN09)) KC10IN_R = KY10IN01 + KY10IN02 + KY10IN03 + KY10IN04 + KY10IN05 + KY10IN06 + KY10IN07 + KY10IN08 + KY10IN10 .
EXECUTE .
DO IF (MISSING(KY10IN09)) .
RECODE KC10IN_R  
(	9	=	-4.277	)	
(	10	=	-3.15	)	
(	11	=	-2.613	)	
(	12	=	-2.252	)	
(	13	=	-1.977	)	
(	14	=	-1.753	)	
(	15	=	-1.562	)	
(	16	=	-1.395	)	
(	17	=	-1.245	)	
(	18	=	-1.107	)	
(	19	=	-0.98	)	
(	20	=	-0.859	)	
(	21	=	-0.745	)	
(	22	=	-0.635	)	
(	23	=	-0.528	)	
(	24	=	-0.423	)	
(	25	=	-0.319	)	
(	26	=	-0.216	)	
(	27	=	-0.112	)	
(	28	=	-0.006	)	
(	29	=	0.101	)	
(	30	=	0.211	)	
(	31	=	0.326	)	
(	32	=	0.444	)	
(	33	=	0.569	)	
(	34	=	0.701	)	
(	35	=	0.842	)	
(	36	=	0.994	)	
(	37	=	1.16	)	
(	38	=	1.342	)	
(	39	=	1.545	)	
(	40	=	1.776	)	
(	41	=	2.044	)	
(	42	=	2.368	)	
(	43	=	2.78	)	
(	44	=	3.37	)	
(	45	=	4.549	)	.
END IF .
EXECUTE .

IF (MISSING(KY10IN10)) KC10IN_R = KY10IN01 + KY10IN02 + KY10IN03 + KY10IN04 + KY10IN05 + KY10IN06 + KY10IN07 + KY10IN08 + KY10IN09 .
EXECUTE .
DO IF (MISSING(KY10IN10)) .
RECODE KC10IN_R  
(	9	=	-4.184	)	
(	10	=	-3.064	)	
(	11	=	-2.535	)	
(	12	=	-2.181	)	
(	13	=	-1.913	)	
(	14	=	-1.696	)	
(	15	=	-1.512	)	
(	16	=	-1.351	)	
(	17	=	-1.206	)	
(	18	=	-1.073	)	
(	19	=	-0.95	)	
(	20	=	-0.834	)	
(	21	=	-0.723	)	
(	22	=	-0.617	)	
(	23	=	-0.513	)	
(	24	=	-0.411	)	
(	25	=	-0.309	)	
(	26	=	-0.208	)	
(	27	=	-0.107	)	
(	28	=	-0.003	)	
(	29	=	0.102	)	
(	30	=	0.211	)	
(	31	=	0.323	)	
(	32	=	0.441	)	
(	33	=	0.564	)	
(	34	=	0.696	)	
(	35	=	0.836	)	
(	36	=	0.987	)	
(	37	=	1.151	)	
(	38	=	1.333	)	
(	39	=	1.535	)	
(	40	=	1.765	)	
(	41	=	2.033	)	
(	42	=	2.355	)	
(	43	=	2.767	)	
(	44	=	3.355	)	
(	45	=	4.533	)	.
END IF .
EXECUTE .








COUNT
  INDmiss = KY10IN01 KY10IN02 KY10IN03 KY10IN04 KY10IN05 KY10IN06 KY10IN07 KY10IN08 KY10IN09 KY10IN10 (MISSING)  .
EXECUTE .
RECODE
  INDmiss (0=0)  (1=1)  (2 thru Highest=SYSMIS)  .
EXECUTE .

IF (INDmiss=1) KC10IN_T  = (((KC10in_R - 1.2078)  / 1.03377) * 10 + 50) .
EXECUTE .


SORT CASES BY INDmiss .
SPLIT FILE
  LAYERED BY INDmiss .
FREQUENCIES
  VARIABLES=KC10IN_R  KC10IN_T
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN MODE SKEWNESS SESKEW KURTOSIS SEKURT
  /BARCHART  FREQ
  /ORDER=  ANALYSIS .












